Ingest pages into the AI Search index
POST
/api/v3/organisations/{organisation}/projects/{project}/ai-search/pages
const url = 'https://dashboard.quantcdn.io/api/v3/organisations/example/projects/example/ai-search/pages';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"jobId":"example","pages":[{"url":"https://example.com","title":"example","content":"example","contentType":"example","fetchedAt":"example","preProcessed":true,"summary":"example","tags":["example"],"topics":["example"]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dashboard.quantcdn.io/api/v3/organisations/example/projects/example/ai-search/pages \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "jobId": "example", "pages": [ { "url": "https://example.com", "title": "example", "content": "example", "contentType": "example", "fetchedAt": "example", "preProcessed": true, "summary": "example", "tags": [ "example" ], "topics": [ "example" ] } ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
project
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
jobId
string
pages
required
Array<object>
object
url
required
string format: uri
title
required
string
content
required
string
contentType
string
fetchedAt
string
preProcessed
boolean
summary
string
tags
Array<string>
topics
Array<string>
Examplegenerated
{ "jobId": "example", "pages": [ { "url": "https://example.com", "title": "example", "content": "example", "contentType": "example", "fetchedAt": "example", "preProcessed": true, "summary": "example", "tags": [ "example" ], "topics": [ "example" ] } ]}Responses
Section titled “Responses”Pages processed
Validation failed
Upstream failure
